summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIan Leitch <port001@gentoo.org>2005-02-27 22:40:21 +0000
committerIan Leitch <port001@gentoo.org>2005-02-27 22:40:21 +0000
commit737321fbb6c67ad73b0b3064329cf65b897b5a56 (patch)
tree590015f1ff7d16a5134934a8945367f08cae1cec /eclass/aolserver.eclass
parentfix dependencies; #83325 (diff)
downloadhistorical-737321fbb6c67ad73b0b3064329cf65b897b5a56.tar.gz
historical-737321fbb6c67ad73b0b3064329cf65b897b5a56.tar.bz2
historical-737321fbb6c67ad73b0b3064329cf65b897b5a56.zip
Install libs if available. Install all modules in TCL_MODS, same goes for DOCS.
Diffstat (limited to 'eclass/aolserver.eclass')
-rw-r--r--eclass/aolserver.eclass22
1 files changed, 19 insertions, 3 deletions
diff --git a/eclass/aolserver.eclass b/eclass/aolserver.eclass
index 8dcbe88883e3..7a3938c87116 100644
--- a/eclass/aolserver.eclass
+++ b/eclass/aolserver.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/aolserver.eclass,v 1.4 2005/02/12 02:50:24 port001 Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/aolserver.eclass,v 1.5 2005/02/27 22:40:21 port001 Exp $
# Authors:
# Ian Leitch <port001@gentoo.org>
@@ -21,7 +21,7 @@ SLOT="0"
src_compile() {
- emake NSBUILD=1 INST=${NS_CONF} ${MAKE_FLAGS} || die "emake failed"
+ emake NSBUILD=1 INST=${NS_CONF} AOLSERVER=${NS_CONF} ${MAKE_FLAGS} || die "emake failed"
}
src_install() {
@@ -29,7 +29,23 @@ src_install() {
find ${S} -type d -name CVS -prune | xargs rm -rf
into ${NS_BASE}
- dobin ${S}/${PN}.so
+
+ if [[ -e "${S}/${PN}.so" ]] ; then
+ dobin ${S}/${PN}.so
+ fi
+
+ if [[ -e "${S}/lib${PN}.so" ]] ; then
+ dolib.so ${S}/lib${PN}.so
+ fi
+
+ for mod in ${TCL_MODS} ; do
+ insinto /usr/lib/aolserver/modules/tcl
+ doins ${mod}
+ done
+
+ for doc in ${DOCS} ; do
+ dodoc ${doc}
+ done
}
pkg_postinst() {